|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# MimeType Class Reference
(QWebPluginFactory::MimeType)
[QtWebKit module]

The QWebPluginFactory::MimeType structure describes a mime type supported by a plugin. More...

     #include <QWebPluginFactory>

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Public Variables

- QString description
- QStringList fileExtensions
- QString name

## Detailed Description

The QWebPluginFactory::MimeType structure describes a mime type supported by a plugin.

## Member Variable Documentation

### QString MimeType::description

The description of the mime type.

### QStringList MimeType::fileExtensions

The list of file extensions that are used by this mime type.

For example, a mime type for PDF documents would return "pdf" as its file extension.

### QString MimeType::name

The full name of the MIME type; e.g., `text/plain` or `image/png`.